-- ABS-27609

--- TRANSACTIONTYPE table---
insert into transactiontype (transactiontype_id, factorydescription, systemuser_id, timestamp, legacytransactioncode)
values (548,'Receive from Laundry',1,sysdate,null);
commit;

insert into transactiontype (transactiontype_id, factorydescription, systemuser_id, timestamp, legacytransactioncode)
values (549,'Send to Laundry',1,sysdate,null);
commit;

insert into transactiontype_desc
  (transactiontype_id, language_id, description, systemuser_id, timestamp)
  select transactiontype_id,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from transactiontype
   where transactiontype.transactiontype_id in (548, 549);
commit;

--- STAY table---
insert into stay (stay_id, staytype, staynr, systemuser_id, timestamp, factorydescription, includedraginbatch)
values (seq_stay.nextval,2,23,1,sysdate,'Received from Laundry','Y');
commit;

insert into stay_desc
  (stay_id, language_id, description, systemuser_id, timestamp)
  select s.stay_id,
         l.language_id,
         s.factorydescription,
         getminsystemuser(),
         sysdate
    from stay s, languages l
    where s.staytype = 2 and s.staynr = 23;
commit;

insert into stay (stay_id, staytype, staynr, systemuser_id, timestamp, factorydescription, includedraginbatch)
values (seq_stay.nextval,2,24,1,sysdate,'Sent to Laundry','Y');
commit;

insert into stay_desc
  (stay_id, language_id, description, systemuser_id, timestamp)
  select s.stay_id,
         l.language_id,
         s.factorydescription,
         getminsystemuser(),
         sysdate
    from stay s, languages l
    where s.staytype = 2 and s.staynr = 24;
commit;